name: byteable
version: 0.1.1
id: byteable-0.1.1-9guyEXUUK503mzSnI32g2S
key: byteable-0.1.1-9guyEXUUK503mzSnI32g2S
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: vincent@snarc.org
author: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-byteable
synopsis: Type class for sequence of bytes
description:
    Abstract class to manipulate sequence of bytes
    .
    The use case of this class is abstracting manipulation of
    types that are just wrapping a bytestring with stronger and
    more meaniful name.
    .
    Usual definition of those types are of the form: newtype MyType = MyType ByteString
category: Data
abi: 3ccd0d947ce118da08083235e198c655
exposed: True
exposed-modules:
    Data.Byteable
import-dirs: /usr/local/lib/ghc/byteable-0.1.1
library-dirs: /usr/local/lib/ghc/byteable-0.1.1
dynamic-library-dirs: /usr/local/lib/ghc/byteable-0.1.1
data-dir: /usr/local/share/hs-byteable-0.1.1
hs-libraries: HSbyteable-0.1.1-9guyEXUUK503mzSnI32g2S
depends:
    base-4.12.0.0 bytestring-0.10.8.2
haddock-interfaces: /usr/local/share/doc/hs-byteable-0.1.1/html/byteable.haddock
haddock-html: /usr/local/share/doc/hs-byteable-0.1.1/html
